diff --color -up dwm/config.def.h dwm.new/config.def.h
--- dwm/config.def.h	2021-02-22 14:30:09.790840126 +0100
+++ dwm.new/config.def.h	2021-02-22 14:34:36.344182480 +0100
@@ -111,6 +111,8 @@ static Key keys[] = {
 	{ MODKEY|ShiftMask,             XK_space,  togglefloating, {0} },
 	{ MODKEY,                       XK_0,      comboview,      {.ui = ~0 } },
 	{ MODKEY|ShiftMask,             XK_0,      combotag,       {.ui = ~0 } },
+	{ ControlMask|Mod4Mask,         XK_Left,   shiftview,      {.i = -1 } },
+	{ ControlMask|Mod4Mask,         XK_Right,  shiftview,      {.i = +1 } },
 	{ MODKEY,                       XK_comma,  focusmon,       {.i = -1 } },
 	{ MODKEY,                       XK_period, focusmon,       {.i = +1 } },
 	{ MODKEY|ShiftMask,             XK_comma,  tagmon,         {.i = -1 } },
diff --color -up dwm/dwm.c dwm.new/dwm.c
--- dwm/dwm.c	2021-02-22 14:30:09.790840126 +0100
+++ dwm.new/dwm.c	2021-02-22 14:33:54.467514397 +0100
@@ -248,6 +248,7 @@ static void setlayout(const Arg *arg);
 static void setmfact(const Arg *arg);
 static void setup(void);
 static void seturgent(Client *c, int urg);
+static void shiftview(const Arg *arg);
 static void showhide(Client *c);
 static void sigchld(int unused);
 static void spawn(const Arg *arg);
@@ -2061,6 +2062,26 @@ seturgent(Client *c, int urg)
 	XFree(wmh);
 }
 
+/** Function to shift the current view to the left/right
+ **
+ ** @param: "arg->i" stores the number of tags to shift right (positive value)
+ **          or left (negative value)
+ **/
+void
+shiftview(const Arg *arg) {
+	Arg shifted;
+
+	if(arg->i > 0) // right circular shift
+		shifted.ui = (selmon->tagset[selmon->seltags] << arg->i)
+		   | (selmon->tagset[selmon->seltags] >> (LENGTH(tags) - arg->i));
+
+	else // left circular shift
+		shifted.ui = selmon->tagset[selmon->seltags] >> (- arg->i)
+		   | selmon->tagset[selmon->seltags] << (LENGTH(tags) + arg->i);
+
+	view(&shifted);
+}
+
 void
 showhide(Client *c)
 {
